Bug 1972213 - Openshift Installer| UEFI mode | BM hosts have BIOS halted
Summary: Openshift Installer| UEFI mode | BM hosts have BIOS halted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.8
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: Bob Fournier
QA Contact: Lubov
URL:
Whiteboard:
Depends On: 1966129 1976074
Blocks: 1970632 1971018 2013591 1973314 1976079
TreeView+ depends on / blocked
 
Reported: 2021-06-15 12:41 UTC by Bob Fournier
Modified: 2021-10-13 14:22 UTC (History)
32 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
RN content: Previously, in UEFI mode, the ironic-python-agent created a UEFI bootloader entry after downloading the RHCOS image. When using an RHCOS image based on RHEL 8.4, the image could fail to boot using this entry, depending on the ordering of UEFI entries. If the entry installed by Ironic was used when booting the image, the boot could fail and output a BIOS error screen. This is fixed by the ironic-python-agent configuring the boot entry based on a CSV file located in the image, instead of using a fixed boot entry. The image boots properly without error. ----- Cause: In UEFI mode, after downloading the RHCOS image, the ironic-python-agent creates a UEFI bootloader entry. When using an RHCOS image based on RHEL 8.4, the image may fail to boot using this entry. Consequence: Depending on the ordering of UEFI entries, if the entry installed by Ironic is used when booting the image the boot may fail and output a BIOS error screen. Fix: The ironic-python-agent will configure the boot entry based on a CSV file located in the image instead of using a fixed boot entry. Result: The image boots properly without an error.
Clone Of: 1966129
: 1973314 (view as bug list)
Environment:
Last Closed: 2021-07-27 23:12:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-image pull 183 0 None open Bug 1972213: Update python-ironic-lib 2021-06-16 09:05:41 UTC
Github openshift ironic-ipa-downloader pull 74 0 None open Bug 1972213: Fix for UEFI bootloader entry 2021-06-15 18:39:44 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:13:35 UTC

Comment 2 Lubov 2021-06-21 08:37:53 UTC
run on 4.8.0-0.nightly-2021-06-19-005119 3 deployments - no red screen

Comment 3 Nikita 2021-06-21 09:02:22 UTC
run on 4.8.0-0-rc.0 2 deployments - no red screen. BM servers DELL R740

Comment 6 Bob Fournier 2021-07-06 00:32:33 UTC
Should be same release note as https://bugzilla.redhat.com/show_bug.cgi?id=1966129

Comment 8 errata-xmlrpc 2021-07-27 23:12:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.